# $Revision: 1.38 $, $Date: 2012/01/24 09:32:45 $
#
# TODO: QScintilla2 for Qt3 (does it make any sense nowadays?)
#
%define		scintilla_ver	2.25
Summary:	QScintilla2 - a port to Qt of the Scintilla editing component
Summary(pl.UTF-8):	QScintilla2 - port komponentu edytora Scintilla dla biblioteki Qt
Name:		qscintilla2
Version:	2.6
Release:	2
License:	GPL v2 or GPL v3 with Riverbank GPL Exception v1.1
Group:		X11/Libraries
Source0:	http://www.riverbankcomputing.co.uk/static/Downloads/QScintilla2/QScintilla-gpl-%{version}.tar.gz
# Source0-md5:	0605a8006ea752ec2d1d7fc4791d1c75
Patch0:		%{name}-internal_build.patch
URL:		http://www.riverbankcomputing.co.uk/software/qscintilla/
BuildRequires:	QtDesigner-devel
BuildRequires:	QtGui-devel
BuildRequires:	python-PyQt4-devel >= 4.8.2
BuildRequires:  python-sip-devel >= 2:4.12
BuildRequires:	qt4-build >= 4.7
BuildRequires:	qt4-qmake >= 4.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.558
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sipfilesdir	%{_datadir}/sip

%description
QScintilla2 is a port to Qt of the Scintilla editing component.
This version of QScintilla is based on Scintilla v%{scintilla_ver}.

%description -l pl.UTF-8
QScintilla2 to port komponentu edytora Scintilla dla biblioteki Qt.
Ta wersja QScintilli jest oparta na Scintilli %{scintilla_ver}.

%package devel
Summary:	Development files for the QScintilla2
Summary(pl.UTF-8):	Pliki nagłówkowe dla komponentu QScintilla2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtGui-devel

%description devel
This package contains the header files necessary to develop
applications using QScintilla2.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów z
użyciem komponentu QScintilla2.

%package -n QtDesigner-plugin-%{name}
Summary:	QScintilla2 plugin for Qt Designer
Summary(pl.UTF-8):	Wtyczka QScintilla2 dla Qt Designera
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtDesigner

%description -n QtDesigner-plugin-%{name}
QScintilla2 plugin for Qt Designer that allows QScintilla instances
to be included in GUI designs just like any other Qt widget.

%description -n QtDesigner-plugin-%{name} -l pl.UTF-8
Wtyczka WScintilla2 dla Qt Designera pozwalająca na włączanie
instancji QScintilli w projekty GUI w ten sam sposób, co inne widgety
Qt.

%package -n python-%{name}
Summary:	Python bindings for the QScintilla2
Summary(pl.UTF-8):	Wiązania Pythona dla komponentu QScintilla2
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%requires_ge  python-PyQt4

%description -n python-%{name}
Python bindings for the QScintilla2.

%description -n python-%{name} -l pl.UTF-8
Wiązania Pythona dla komponentu QScintilla2.

%package -n python-%{name}-devel
Summary:	Python bindings for the QScintilla2 - development files
Summary(pl.UTF-8):	Wiązania Pythona dla komponentu QScintilla2 - pliki programistyczne
Group:		Development/Languages/Python
Requires:	python-%{name} = %{version}-%{release}
Requires:	python-PyQt4-devel >= 4.8.2

%description -n python-%{name}-devel
Python bindings for the QScintilla2 - development files.

%description -n python-%{name}-devel -l pl.UTF-8
Wiązania Pythona dla komponentu QScintilla2 - pliki programistyczne.

%prep
%setup -q -n QScintilla-gpl-%{version}
%patch0 -p1

%build
cd Qt4
qmake-qt4 qscintilla.pro
%{__make}
cd -

cd designer-Qt4
qmake-qt4 designer.pro
%{__make}
cd -

cd Python
%{__python} configure.py \
	-c -j 3 \
	-n ../Qt4 \
	-o ../Qt4
%{__make}
cd -

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Qt4 install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%{__make} -C designer-Qt4 install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%{__make} -C Python install \
	DESTDIR=$RPM_BUILD_ROOT

for file in $RPM_BUILD_ROOT%{_datadir}/locale/*.qm
do
	lang=`echo $file | sed -r 's:.*/[a-zA-Z]*_(.*).qm:\1:'`
	[ "$lang" == "pt_br" ] && lang=pt_BR
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES
	mv -f $file $RPM_BUILD_ROOT%{_datadir}/locale/$lang/LC_MESSAGES/qscintilla2.qm
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc GPL_EXCEPTION.TXT NEWS OPENSOURCE-NOTICE.TXT README
%attr(755,root,root) %{_libdir}/libqscintilla2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqscintilla2.so.8
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/qscintilla2.qm
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/qscintilla2.qm
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/qscintilla2.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/qscintilla2.qm
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/qscintilla2.qm
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/qscintilla2.qm
%dir %{_datadir}/qt4/qsci
%dir %{_datadir}/qt4/qsci/api

%files devel
%defattr(644,root,root,755)
%doc doc/Scintilla/*
%attr(755,root,root) %{_libdir}/libqscintilla2.so
%{_includedir}/qt4/Qsci

%files -n QtDesigner-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt4/plugins/designer/libqscintillaplugin.so

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/PyQt4/Qsci.so
%dir %{_datadir}/qt4/qsci/api/python
%{_datadir}/qt4/qsci/api/python/Python-*.api
%{_datadir}/qt4/qsci/api/python/QScintilla2.api

%files -n python-%{name}-devel
%defattr(644,root,root,755)
%{_sipfilesdir}/PyQt4/Qsci

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qscintilla2.spec,v $
Revision 1.38  2012/01/24 09:32:45  matkor
- Release 2.

Revision 1.37  2011/11/13 06:52:55  qboosh
- updated to 2.6 (note: new soname)

Revision 1.36  2011/06/25 07:04:34  qboosh
- updated to 2.5.1 (note: new soname)

Revision 1.35  2011/06/19 16:20:14  qboosh
- updated License (GPL v3 is accepted too, noted exception)
- more verbose files

Revision 1.34  2011/02/01 16:34:00  matkor
- Release 3. Rebuild needed against new PyQt.

Revision 1.33  2011/01/23 13:42:18  matkor
- Release 2. Bumped BR to recent Qt.

Revision 1.32  2011/01/22 14:23:19  atler
- BR: rpmbuild(macros) >= 1.558 for %requires_ge

Revision 1.31  2010/12/25 14:21:14  rotom
- 2.4.6

Revision 1.30  2010/10/30 15:19:34  arekm
- up to 2.4.5

Revision 1.29  2010/10/19 12:39:56  matkor
- Release 4. To rebuild with newer sip.

Revision 1.28  2010/07/29 09:16:20  witekfl
- force python-PyQt4-devel version to make sure that new sip is used
- rel 3

Revision 1.27  2010/07/13 08:13:55  matkor
- Release 2. requires_ge  python-PyQt4.

Revision 1.26  2010/07/13 07:02:20  matkor
- Version 2.4.4-1.

Revision 1.25  2010/07/09 11:23:46  arekm
- release 3

Revision 1.24  2010/04/21 15:16:08  matkor
- Release 2. BR: python-PyQt4-devel >= 4.7.3.

Revision 1.23  2010/03/20 13:37:00  charles
- updated to 2.4.3

Revision 1.22  2010/02/06 21:00:36  arekm
- release 2

Revision 1.21  2010/01/22 22:28:25  charles
- updated to 2.4.2

Revision 1.20  2009/12/31 17:38:58  megabajt
- release 2

Revision 1.19  2009/07/07 23:14:27  charles
- updated to 2.4

Revision 1.18  2009/03/14 13:11:17  hawk
- release 2

Revision 1.17  2008/11/18 09:50:32  charles
- updated to 2.3.2

Revision 1.16  2008/09/21 10:28:40  charles
- updated to 2.3

Revision 1.15  2008/08/14 06:40:39  adamg
- reverted (thanks charles)

Revision 1.14  2008/08/12 19:44:15  adamg
- BR: QtScript-devel

Revision 1.13  2008/08/11 17:43:10  charles
- removed not needed BRs
- moved python API files to python-qscintilla2, cleanups
- rel. 2, STBR

Revision 1.12  2008/07/04 20:34:23  twittner
- restore stable version on HEAD (my mistake fixed)

Revision 1.10  2008/05/26 18:12:39  twittner
- up to 2.2

Revision 1.9  2008-01-04 19:52:53  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.8  2007-10-12 23:54:37  twittner
- rel. 2 to rebuild (solves [PLD 3.x (Th): Bug 52] New: eric4 crashes at startup)

Revision 1.7  2007/06/12 22:02:11  arekm
- up to 2.1 1.73

Revision 1.6  2007/02/21 02:58:26  charles
- updated to latest (20070117) snap

Revision 1.5  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.3  2006/12/26 19:48:31  qboosh
- pl
- don't use LANG as temporary variable name (bad practice)

Revision 1.2  2006/12/26 14:14:59  charles
- cosmetics

Revision 1.1  2006/12/26 03:49:19  charles
- new (QScintilla for Qt4)
